strange error message after dada2

Having some trouble understanding the below error message. I downloaded a large number of fastq files through SRAtoolkit and have been running them through qiime2019.10. All of them work, up to a point, where all of a sudden I’m getting this error message:

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /scratch/msportie/tmp/tmp3_w0qqzj/forward /scratch/msportie/tmp/tmp3_w0qqzj/reverse /scratch/msportie/tmp/tmp3_w0qqzj/output.tsv.biom /scratch/msportie/tmp/tmp3_w0qqzj/track.tsv /scratch/msportie/tmp/tmp3_w0qqzj/filt_f /scratch/msportie/tmp/tmp3_w0qqzj/filt_r 0 0 0 0 2.0 2.0 2 consensus 1.0 0 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.2 / RcppParallel: 4.4.4

  1. Filtering .
  2. Learning Error Rates
    677576 total bases in 2396 reads from 1 samples will be used for learning the error rates.
    107579 total bases in 2396 reads from 1 samples will be used for learning the error rates.
  3. Denoise remaining samples .
  4. Remove chimeras (method = consensus)
    Error in isBimeraDenovoTable(unqs[[i]], …, verbose = verbose) :
    Input must be a valid sequence table.
    Calls: removeBimeraDenovo -> isBimeraDenovoTable
    Execution halted
    Traceback (most recent call last):
    File “/software/qiime/2019.10/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 257, in denoise_paired
    run_commands([cmd])
    File “/software/qiime/2019.10/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/software/qiime/2019.10/envs/qiime2-2019.10/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/scratch/msportie/tmp/tmp3_w0qqzj/forward’, ‘/scratch/msportie/tmp/tmp3_w0qqzj/reverse’, ‘/scratch/msportie/tmp/tmp3_w0qqzj/output.tsv.biom’, ‘/scratch/msportie/tmp/tmp3_w0qqzj/track.tsv’, ‘/scratch/msportie/tmp/tmp3_w0qqzj/filt_f’, ‘/scratch/msportie/tmp/tmp3_w0qqzj/filt_r’, ‘0’, ‘0’, ‘0’, ‘0’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘0’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/software/qiime/2019.10/envs/qiime2-2019.10/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File “</software/qiime/2019.10/envs/qiime2-2019.10/lib/python3.6/site-packages/decorator.py:decorator-gen-459>”, line 2, in denoise_paired
File “/software/qiime/2019.10/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/software/qiime/2019.10/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/software/qiime/2019.10/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 272, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

what should I do? What’s happening?

Hi @msport469,
The isBimeraDenovoTable error is a common one — search the forum archive for troubleshooting:
https://forum.qiime2.org/search?q=isBimeraDenovoTable

This error occurs when all reads are filtered out prior to chimera filtering. You should check out your trimming parameters, this is the issue most of the time (but not always). I.e., either you are not trimming enough and all reads are being filtered out due to low quality, or you are trimming too much and your reads are failing to merge.

Good luck!

2 Likes

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.